/****************************************************************************************/
/*                                                                     					*/
/*  M16C/62P Group Program Collection                                  					*/
/*                                                                     					*/
/*  FILE NAME : delay_timer.h                                       					*/
/*  CPU       : This program is the Serial flash boot loader by Xmodem data transfer	*/
/*  HISTORY   : 2006.12.08 Ver 0.01                                    					*/
/*                                                                    	 				*/
/*  Copyright (C) 2006. Renesas Technology Corp.                       					*/
/*  Copyright (C) 2006. Renesas Solutions Corp.                        					*/
/*  All right reserved.                                                					*/
/*                                                                     					*/
/*****************************************************************************************/

#ifndef _DELAY_TIMER_H
#define _DELAY_TIMER_H

#include "serial.h"					// for clock definition

// definitions
//#define ONE_MSEC					((1L * CLOCK) / 32000L)
//
#define ONE_MSEC				 600

#define MS_PER_TIMER_COMPARE_MATCH	1
//

// function prototypes
void InitDelayTimer (void);
void StartDelayTimer (void);
void StopDelayTimer (void);
unsigned char GetDelayTimerStatus (void);
//
void TimerA0Interrupt(void);
#pragma INTERRUPT TimerA0Interrupt(vect=21);


#endif
